#######################################################################
# Aacs Updater program.
#
# Copyright (C) 2014 labDV - Starbuck <starbuck@labdv.com>
#
# GNU General Public License Usage
# This file may be used under the terms of the GNU General Public 
# License version 3.0 as published by the Free Software Foundation
# and appearing in the file LICENSE.GPL included in the packaging
# of this file.  Please review the following information to ensure
# the GNU General Public License version 3.0 requirements will be
# met: http://www.gnu.org/copyleft/gpl.html.
#######################################################################

TEMPLATE = app
LANGUAGE = C++

unix: !macx {
	TARGET = aacsupdater
} else {
	TARGET = AacsUpdater
}

CONFIG += static link_prl
RESOURCES += AacsUpdater.qrc
QT += network webkit 

macx {
	CONFIG += thread
	LIBS += -framework Cocoa -framework QuartzCore
	QT += opengl

	contains( QT_MAJOR_VERSION, 5 ) {
		CONFIG += x86 x86_64
	}
}

contains( QT_MAJOR_VERSION, 5 ) {
	QT += webkitwidgets widgets
}

# Paths
DEPENDPATH += .
INCLUDEPATH += .

win32 {
	MY_BUILD_PLATFORM = win32
	MY_BUILD_PATH = ../../build
	MY_TEMP_PATH = ../../tmp
}
unix: !macx {	
	MY_BUILD_PLATFORM = unix
	MY_BUILD_PATH = ../../../../build
	MY_TEMP_PATH = ../../../../tmp
}
macx {
	MY_BUILD_PLATFORM = macx
	MY_BUILD_PATH = ../../../../build
	MY_TEMP_PATH = ../../../../tmp 
}

CONFIG( debug, debug|release) {

	# debug
	CONFIG -= release
	MY_BUILD_CONFIG = debug

	win32 {
		AacsUpdater.depends = buildnumberhook
		buildnumber.commands = ..\..\tools\win32\buildnumber.exe AacsUpdaterBuildWin32.h
		# Hook as a pre-pre build
		buildnumberhook.depends = buildnumber
		buildnumberhook.target = Makefile.Debug
		QMAKE_EXTRA_TARGETS += buildnumber buildnumberhook

		RC_FILE += AacsUpdater.rc
	}

    unix: !macx {	
		ICON = aacsupdater.icns
		
		QMAKE_LFLAGS += $$(ORIGIN)
	}

	macx {
        AacsUpdater.output = "Keydb Updater (Debug)"
		ICON = AacsUpdaterIcon.icns
	}

} else {

	# release
	DEFINES += QT_NO_DEBUG_OUTPUT QT_NO_WARNING_OUTPUT
	CONFIG -= debug
	MY_BUILD_CONFIG = release

	win32 {
		AacsUpdater.depends = buildnumberhook
		buildnumber.commands = ..\..\tools\win32\buildnumber.exe AacsUpdaterBuildWin32.h
		# Hook as a pre-pre build
		buildnumberhook.depends = buildnumber
		buildnumberhook.target = Makefile.Release
		QMAKE_EXTRA_TARGETS += buildnumber buildnumberhook

		RC_FILE += aacsupdater.rc
	}

	unix: !macx {
		ICON = aacsupdater.icns
	}

	macx {
		ICON = AacsUpdaterIcon.icns
	}
}

DESTDIR = $$MY_BUILD_PATH/$$MY_BUILD_PLATFORM/$$MY_BUILD_CONFIG/bin
OBJECTS_DIR = $$MY_TEMP_PATH/$$MY_BUILD_PLATFORM/$$MY_BUILD_CONFIG/aacsupdater/obj
UI_DIR = $$MY_TEMP_PATH/$$MY_BUILD_PLATFORM/$$MY_BUILD_CONFIG/aacsupdater/ui
MOC_DIR = $$MY_TEMP_PATH/$$MY_BUILD_PLATFORM/$$MY_BUILD_CONFIG/aacsupdater/moc
RCC_DIR = $$MY_TEMP_PATH/$$MY_BUILD_PLATFORM/$$MY_BUILD_CONFIG/aacsupdater/rcc

#######################################################################
# Input
win32 {
	HEADERS += AacsUpdaterBuildWin32.h
}
unix: !macx {	
	HEADERS += AacsUpdaterBuildLinux.h
}
macx {
	DEFINES += NDEBUG
	HEADERS += AacsUpdaterBuildMacx.h
}
			
HEADERS += AacsDatabaseObject.h \
			AacsUpdater.h \
			AacsUpdaterWindow.h \
			LogDialog.h \
			NewKeysDialog.h \
			ProcessingWidget.h

SOURCES += AacsDatabaseObject.cpp \
			AacsUpdater.cpp \
			AacsUpdaterWindow.cpp \
			LogDialog.cpp \
			NewKeysDialog.cpp \
			ProcessingWidget.cpp
